(* Content-type: application/vnd.wolfram.mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 8.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       157,          7]
NotebookDataLength[     69544,       2079]
NotebookOptionsPosition[     64921,       1926]
NotebookOutlinePosition[     65387,       1944]
CellTagsIndexPosition[     65344,       1941]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{
Cell[TextData[StyleBox["Ejemplo 1",
 FontWeight->"Bold"]], "Text",
 CellChangeTimes->{{3.538306803646896*^9, 3.5383068084951735`*^9}, {
  3.5388301739970284`*^9, 3.538830183726585*^9}, {3.538912784108435*^9, 
  3.5389128001033497`*^9}, {3.539426064389451*^9, 3.539426064780473*^9}},
 Background->RGBColor[1, 0.5, 0]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"RSolve", "[", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
     RowBox[{
      RowBox[{"a", "[", "n", "]"}], "\[Equal]", 
      RowBox[{
       RowBox[{"2", "*", 
        RowBox[{"a", "[", 
         RowBox[{"n", "-", "1"}], "]"}]}], "+", "7"}]}], ",", 
     RowBox[{
      RowBox[{"a", "[", "0", "]"}], "\[Equal]", "3"}]}], "}"}], ",", 
   RowBox[{"a", "[", "n", "]"}], ",", "n"}], "]"}]], "Input",
 CellChangeTimes->{{3.5389165664637737`*^9, 3.538916640225992*^9}, {
  3.538916682439407*^9, 3.538916682758425*^9}, {3.5389167575897055`*^9, 
  3.5389167913316355`*^9}, {3.539426148071237*^9, 3.539426169604469*^9}}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"{", 
   RowBox[{
    RowBox[{"a", "[", "n", "]"}], "\[Rule]", 
    RowBox[{
     RowBox[{"-", "7"}], "+", 
     RowBox[{"5", " ", 
      SuperscriptBox["2", 
       RowBox[{"1", "+", "n"}]]}]}]}], "}"}], "}"}]], "Output",
 CellChangeTimes->{
  3.538916643352171*^9, 3.5389166862126226`*^9, {3.5389167664692135`*^9, 
   3.5389167930097313`*^9}, 3.539426174596754*^9, 3.5394467794852867`*^9, 
   3.539446819699587*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"a", "[", "n_", "]"}], ":=", 
  RowBox[{
   RowBox[{"2", " ", 
    RowBox[{"a", "[", 
     RowBox[{"n", "-", "1"}], "]"}]}], "+", "7"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"a", "[", "0", "]"}], "=", "3"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"L", "=", 
   RowBox[{"{", 
    RowBox[{"a", "[", "0", "]"}], "}"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"m", "=", 
   RowBox[{
   "Input", "[", "\"\<Digite la cantidad de iteraciones:\>\"", "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{"For", "[", 
  RowBox[{
   RowBox[{"i", "=", "1"}], ",", 
   RowBox[{"i", "\[LessEqual]", "m"}], ",", " ", 
   RowBox[{
    RowBox[{"L", "=", 
     RowBox[{"Append", "[", 
      RowBox[{"L", ",", 
       RowBox[{"a", "[", "i", "]"}]}], "]"}]}], ";", 
    RowBox[{"i", "++"}]}]}], "]"}], "\[IndentingNewLine]", 
 RowBox[{"FindSequenceFunction", "[", 
  RowBox[{"L", ",", "n"}], "]"}]}], "Input",
 CellChangeTimes->{{3.539426273571416*^9, 3.539426465327383*^9}, {
  3.5394265223806467`*^9, 3.539426523731724*^9}, {3.539426574073603*^9, 
  3.5394265784438534`*^9}, {3.539426641204443*^9, 3.539426644878653*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"-", "7"}], "+", 
  RowBox[{"5", " ", 
   SuperscriptBox["2", "n"]}]}]], "Output",
 CellChangeTimes->{
  3.5394265431418343`*^9, 3.5394265845822043`*^9, {3.539426637854251*^9, 
   3.5394266780355496`*^9}}]
}, Open  ]],

Cell[TextData[StyleBox["Ejemplo 2",
 FontWeight->"Bold"]], "Text",
 CellChangeTimes->{{3.538306803646896*^9, 3.5383068084951735`*^9}, {
  3.5388301739970284`*^9, 3.538830183726585*^9}, {3.538912784108435*^9, 
  3.5389128001033497`*^9}, {3.5394260683856792`*^9, 3.539426069348735*^9}, {
  3.5394468366835585`*^9, 3.539446837192587*^9}, {3.5394470825016184`*^9, 
  3.5394470828766394`*^9}},
 Background->RGBColor[1, 0.5, 0]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"RSolve", "[", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
     RowBox[{
      RowBox[{"a", "[", "n", "]"}], "\[Equal]", 
      RowBox[{
       RowBox[{"a", "[", 
        RowBox[{"n", "-", "1"}], "]"}], "+", "2", "+", 
       SuperscriptBox["3", 
        RowBox[{"n", "-", "1"}]]}]}], ",", 
     RowBox[{
      RowBox[{"a", "[", "0", "]"}], "\[Equal]", "1"}]}], "}"}], ",", 
   RowBox[{"a", "[", "n", "]"}], ",", "n"}], "]"}]], "Input",
 CellChangeTimes->{{3.539447099022563*^9, 3.539447124773036*^9}}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"{", 
   RowBox[{
    RowBox[{"a", "[", "n", "]"}], "\[Rule]", 
    RowBox[{
     FractionBox["1", "2"], " ", 
     RowBox[{"(", 
      RowBox[{"1", "+", 
       SuperscriptBox["3", "n"], "+", 
       RowBox[{"4", " ", "n"}]}], ")"}]}]}], "}"}], "}"}]], "Output",
 CellChangeTimes->{3.539447126713147*^9}]
}, Open  ]],

Cell[TextData[StyleBox["Ejemplo 3",
 FontWeight->"Bold"]], "Text",
 CellChangeTimes->{{3.538306803646896*^9, 3.5383068084951735`*^9}, {
  3.5388301739970284`*^9, 3.538830183726585*^9}, {3.538912784108435*^9, 
  3.5389128001033497`*^9}, {3.5394260683856792`*^9, 3.539426069348735*^9}, {
  3.5394468366835585`*^9, 3.539446837192587*^9}},
 Background->RGBColor[1, 0.5, 0]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Simplify", "[", 
  RowBox[{
   UnderoverscriptBox["\[Sum]", 
    RowBox[{"j", "=", "1"}], "n"], 
   FractionBox["j", 
    SuperscriptBox["3", 
     RowBox[{"j", "-", "1"}]]]}], " ", "]"}]], "Input",
 CellChangeTimes->{{3.539446645548626*^9, 3.539446672143147*^9}, {
  3.5394467114003925`*^9, 3.5394467199118795`*^9}, {3.5394490513912325`*^9, 
  3.5394490727374535`*^9}, {3.539449103753227*^9, 3.5394491042412553`*^9}, {
  3.5394492571640015`*^9, 3.5394492717788377`*^9}}],

Cell[BoxData[
 RowBox[{
  FractionBox["1", "4"], " ", 
  SuperscriptBox["3", 
   RowBox[{"1", "-", "n"}]], " ", 
  RowBox[{"(", 
   RowBox[{
    RowBox[{"-", "3"}], "+", 
    SuperscriptBox["3", 
     RowBox[{"1", "+", "n"}]], "-", 
    RowBox[{"2", " ", "n"}]}], ")"}]}]], "Output",
 CellChangeTimes->{
  3.5394466746872926`*^9, {3.5394467168377037`*^9, 3.5394467214689684`*^9}, 
   3.539449274385987*^9, 3.5528356859620204`*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Simplify", "[", 
  RowBox[{
   RowBox[{
    SuperscriptBox["3", 
     RowBox[{"n", "-", "1"}]], " ", 
    RowBox[{"Simplify", "[", 
     RowBox[{
      UnderoverscriptBox["\[Sum]", 
       RowBox[{"j", "=", "1"}], "n"], 
      FractionBox["j", 
       SuperscriptBox["3", 
        RowBox[{"j", "-", "1"}]]]}], " ", "]"}]}], "+", 
   RowBox[{"5", " ", 
    SuperscriptBox["3", "n"]}]}], "]"}]], "Input",
 CellChangeTimes->{{3.539448877099263*^9, 3.5394489131873274`*^9}, {
   3.5394489746558433`*^9, 3.53944899382294*^9}, 3.539449296505252*^9}],

Cell[BoxData[
 RowBox[{
  FractionBox["1", "4"], " ", 
  RowBox[{"(", 
   RowBox[{
    RowBox[{"-", "3"}], "+", 
    RowBox[{"23", " ", 
     SuperscriptBox["3", "n"]}], "-", 
    RowBox[{"2", " ", "n"}]}], ")"}]}]], "Output",
 CellChangeTimes->{{3.539448896076349*^9, 3.5394489142913904`*^9}, {
  3.5394489864355173`*^9, 3.5394489959230595`*^9}, {3.5394492772281494`*^9, 
  3.539449299737437*^9}}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"RSolve", "[", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
     RowBox[{
      RowBox[{"a", "[", "n", "]"}], "\[Equal]", 
      RowBox[{
       RowBox[{"3", "*", 
        RowBox[{"a", "[", 
         RowBox[{"n", "-", "1"}], "]"}]}], "+", "n"}]}], ",", 
     RowBox[{
      RowBox[{"a", "[", "0", "]"}], "\[Equal]", "5"}]}], "}"}], ",", 
   RowBox[{"a", "[", "n", "]"}], ",", "n"}], "]"}]], "Input",
 CellChangeTimes->{{3.539446731579547*^9, 3.5394467570360026`*^9}}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"{", 
   RowBox[{
    RowBox[{"a", "[", "n", "]"}], "\[Rule]", 
    RowBox[{
     FractionBox["1", "4"], " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "3"}], "+", 
       RowBox[{"23", " ", 
        SuperscriptBox["3", "n"]}], "-", 
       RowBox[{"2", " ", "n"}]}], ")"}]}]}], "}"}], "}"}]], "Output",
 CellChangeTimes->{3.539446760101178*^9, 3.539446803778676*^9}]
}, Open  ]],

Cell[TextData[StyleBox["Ejemplo 4",
 FontWeight->"Bold"]], "Text",
 CellChangeTimes->{{3.538306803646896*^9, 3.5383068084951735`*^9}, {
  3.5388301739970284`*^9, 3.538830183726585*^9}, {3.539426092409054*^9, 
  3.539426097051319*^9}, {3.5394485098232565`*^9, 3.539448510339286*^9}},
 Background->RGBColor[1, 0.5, 0]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"RSolve", "[", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
     RowBox[{
      RowBox[{"a", "[", "n", "]"}], "\[Equal]", 
      RowBox[{"1.13", "*", 
       RowBox[{"a", "[", 
        RowBox[{"n", "-", "1"}], "]"}]}]}], ",", 
     RowBox[{
      RowBox[{"a", "[", "0", "]"}], "\[Equal]", "500000"}]}], "}"}], ",", 
   RowBox[{"a", "[", "n", "]"}], ",", "n"}], "]"}]], "Input"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"{", 
   RowBox[{
    RowBox[{"a", "[", "n", "]"}], "\[Rule]", 
    RowBox[{"500000.`", " ", 
     SuperscriptBox["0.8849557522123894`", 
      RowBox[{
       RowBox[{"-", "1.`"}], " ", "n"}]]}]}], "}"}], "}"}]], "Output",
 CellChangeTimes->{3.539454433981099*^9}]
}, Open  ]],

Cell[TextData[StyleBox["Ejemplo 5",
 FontWeight->"Bold"]], "Text",
 CellChangeTimes->{{3.538306803646896*^9, 3.5383068084951735`*^9}, {
  3.5388301739970284`*^9, 3.538830183726585*^9}, {3.538833058614019*^9, 
  3.5388330703046875`*^9}, {3.539426100156497*^9, 3.5394261058278213`*^9}, {
  3.5394485118053694`*^9, 3.5394485136704764`*^9}},
 Background->RGBColor[1, 0.5, 0]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"RSolve", "[", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
     RowBox[{
      RowBox[{"a", "[", "n", "]"}], "\[Equal]", 
      RowBox[{
       RowBox[{"a", "[", 
        RowBox[{"n", "-", "1"}], "]"}], "+", "n"}]}], ",", 
     RowBox[{
      RowBox[{"a", "[", "0", "]"}], "\[Equal]", "0"}]}], "}"}], ",", 
   RowBox[{"a", "[", "n", "]"}], ",", "n"}], "]"}]], "Input",
 CellChangeTimes->{
  3.5394544195282717`*^9, {3.5394544523791513`*^9, 3.539454461693684*^9}}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"{", 
   RowBox[{
    RowBox[{"a", "[", "n", "]"}], "\[Rule]", 
    RowBox[{
     FractionBox["1", "2"], " ", "n", " ", 
     RowBox[{"(", 
      RowBox[{"1", "+", "n"}], ")"}]}]}], "}"}], "}"}]], "Output",
 CellChangeTimes->{3.5394544650808773`*^9}]
}, Open  ]],

Cell[TextData[StyleBox["Ejemplo 6",
 FontWeight->"Bold"]], "Text",
 CellChangeTimes->{{3.538306803646896*^9, 3.5383068084951735`*^9}, {
  3.5388301739970284`*^9, 3.538830183726585*^9}, {3.538833058614019*^9, 
  3.5388330703046875`*^9}, {3.5388339886732154`*^9, 3.538834005331168*^9}, {
  3.539426108748988*^9, 3.539426113308249*^9}, {3.539448514971551*^9, 
  3.5394485157795973`*^9}},
 Background->RGBColor[1, 0.5, 0]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"For", "[", 
  RowBox[{
   RowBox[{"j", "=", "1"}], ",", 
   RowBox[{"j", "\[LessEqual]", "10"}], ",", 
   RowBox[{
    RowBox[{"Print", "[", 
     RowBox[{"\"\<Para j=\>\"", ",", "j", ",", "\"\< se obtiene: \>\"", ",", 
      RowBox[{"Simplify", "[", 
       RowBox[{"RSolve", "[", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{
           RowBox[{
            RowBox[{"a", "[", "n", "]"}], "\[Equal]", 
            RowBox[{
             RowBox[{"-", 
              RowBox[{"a", "[", 
               RowBox[{"n", "-", "1"}], "]"}]}], "-", 
             RowBox[{"a", "[", 
              RowBox[{"n", "-", "2"}], "]"}], "-", "j"}]}], ",", 
           RowBox[{
            RowBox[{"a", "[", "0", "]"}], "\[Equal]", "1"}], ",", " ", 
           RowBox[{
            RowBox[{"a", "[", "1", "]"}], "\[Equal]", "2"}]}], "}"}], ",", 
         RowBox[{"a", "[", "n", "]"}], ",", "n"}], "]"}], "]"}]}], "]"}], ";", 
    RowBox[{"j", "++"}]}]}], "]"}]], "Input",
 CellChangeTimes->{{3.5394597167852583`*^9, 3.5394597643029757`*^9}, {
  3.539459814500847*^9, 3.539459818352067*^9}, {3.539459850172887*^9, 
  3.5394600391586967`*^9}, {3.5394601907343664`*^9, 3.53946029203516*^9}, {
  3.5394603331875143`*^9, 3.5394603336575413`*^9}, {3.539460455013482*^9, 
  3.5394604682602396`*^9}, {3.5394617878737173`*^9, 3.539461827314973*^9}, {
  3.539554230577578*^9, 3.5395542447463884`*^9}, {3.539554719605549*^9, 
  3.539554720011572*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Para j=\"\>", "\[InvisibleSpace]", "1", 
   "\[InvisibleSpace]", "\<\" se obtiene: \"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"a", "[", "n", "]"}], "\[Rule]", 
      RowBox[{
       FractionBox["1", "3"], " ", 
       SuperscriptBox["\[ExponentialE]", 
        RowBox[{
         RowBox[{"-", 
          FractionBox["2", "3"]}], " ", "\[ImaginaryI]", " ", "n", " ", 
         "\[Pi]"}]], " ", 
       RowBox[{"(", 
        RowBox[{"2", "+", 
         RowBox[{"3", " ", "\[ImaginaryI]", " ", 
          SqrtBox["3"]}], "-", 
         SuperscriptBox["\[ExponentialE]", 
          FractionBox[
           RowBox[{"2", " ", "\[ImaginaryI]", " ", "n", " ", "\[Pi]"}], "3"]],
          "+", 
         RowBox[{
          RowBox[{"(", 
           RowBox[{"2", "-", 
            RowBox[{"3", " ", "\[ImaginaryI]", " ", 
             SqrtBox["3"]}]}], ")"}], " ", 
          SuperscriptBox["\[ExponentialE]", 
           FractionBox[
            RowBox[{"4", " ", "\[ImaginaryI]", " ", "n", " ", "\[Pi]"}], 
            "3"]]}]}], ")"}]}]}], "}"}], "}"}]}],
  SequenceForm[
  "Para j=", 1, 
   " se obtiene: ", {{$CellContext`a[$CellContext`n] -> 
     Rational[1, 3] E^(Complex[0, 
          Rational[-2, 3]] $CellContext`n Pi) (2 + 
       Complex[0, 3] 3^Rational[1, 2] - E^(Complex[0, 
          Rational[2, 3]] $CellContext`n 
        Pi) + (2 + Complex[0, -3] 3^Rational[1, 2]) E^(Complex[0, 
            Rational[4, 3]] $CellContext`n Pi))}}],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.539459765526046*^9, 3.53945982084221*^9, {3.539459855185174*^9, 
   3.539459900676776*^9}, {3.5394599402870417`*^9, 3.539460039996744*^9}, {
   3.53946019202144*^9, 3.5394602501437645`*^9}, {3.5394602808685217`*^9, 
   3.539460292817205*^9}, 3.5394603346846*^9, {3.5394604642190084`*^9, 
   3.5394604689482794`*^9}, {3.5394618098929768`*^9, 3.5394618292940865`*^9}, 
   3.539554252496832*^9, 3.5395547224687123`*^9, 3.539555057202858*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Para j=\"\>", "\[InvisibleSpace]", "2", 
   "\[InvisibleSpace]", "\<\" se obtiene: \"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"a", "[", "n", "]"}], "\[Rule]", 
      RowBox[{
       FractionBox["1", "6"], " ", 
       SuperscriptBox["\[ExponentialE]", 
        RowBox[{
         RowBox[{"-", 
          FractionBox["2", "3"]}], " ", "\[ImaginaryI]", " ", "n", " ", 
         "\[Pi]"}]], " ", 
       RowBox[{"(", 
        RowBox[{"5", "+", 
         RowBox[{"7", " ", "\[ImaginaryI]", " ", 
          SqrtBox["3"]}], "-", 
         RowBox[{"4", " ", 
          SuperscriptBox["\[ExponentialE]", 
           FractionBox[
            RowBox[{"2", " ", "\[ImaginaryI]", " ", "n", " ", "\[Pi]"}], 
            "3"]]}], "+", 
         RowBox[{
          RowBox[{"(", 
           RowBox[{"5", "-", 
            RowBox[{"7", " ", "\[ImaginaryI]", " ", 
             SqrtBox["3"]}]}], ")"}], " ", 
          SuperscriptBox["\[ExponentialE]", 
           FractionBox[
            RowBox[{"4", " ", "\[ImaginaryI]", " ", "n", " ", "\[Pi]"}], 
            "3"]]}]}], ")"}]}]}], "}"}], "}"}]}],
  SequenceForm[
  "Para j=", 2, 
   " se obtiene: ", {{$CellContext`a[$CellContext`n] -> 
     Rational[1, 6] E^(Complex[0, 
          Rational[-2, 3]] $CellContext`n Pi) (5 + 
       Complex[0, 7] 3^Rational[1, 2] - 4 E^(Complex[0, 
           Rational[2, 3]] $CellContext`n Pi) + (5 + 
         Complex[0, -7] 3^Rational[1, 2]) E^(Complex[0, 
            Rational[4, 3]] $CellContext`n Pi))}}],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.539459765526046*^9, 3.53945982084221*^9, {3.539459855185174*^9, 
   3.539459900676776*^9}, {3.5394599402870417`*^9, 3.539460039996744*^9}, {
   3.53946019202144*^9, 3.5394602501437645`*^9}, {3.5394602808685217`*^9, 
   3.539460292817205*^9}, 3.5394603346846*^9, {3.5394604642190084`*^9, 
   3.5394604689482794`*^9}, {3.5394618098929768`*^9, 3.5394618292940865`*^9}, 
   3.539554252496832*^9, 3.5395547224687123`*^9, 3.53955505723486*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Para j=\"\>", "\[InvisibleSpace]", "3", 
   "\[InvisibleSpace]", "\<\" se obtiene: \"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"a", "[", "n", "]"}], "\[Rule]", 
      RowBox[{
       FractionBox["1", "3"], " ", 
       SuperscriptBox["\[ExponentialE]", 
        RowBox[{
         RowBox[{"-", 
          FractionBox["2", "3"]}], " ", "\[ImaginaryI]", " ", "n", " ", 
         "\[Pi]"}]], " ", 
       RowBox[{"(", 
        RowBox[{"3", "+", 
         RowBox[{"4", " ", "\[ImaginaryI]", " ", 
          SqrtBox["3"]}], "-", 
         RowBox[{"3", " ", 
          SuperscriptBox["\[ExponentialE]", 
           FractionBox[
            RowBox[{"2", " ", "\[ImaginaryI]", " ", "n", " ", "\[Pi]"}], 
            "3"]]}], "+", 
         RowBox[{
          RowBox[{"(", 
           RowBox[{"3", "-", 
            RowBox[{"4", " ", "\[ImaginaryI]", " ", 
             SqrtBox["3"]}]}], ")"}], " ", 
          SuperscriptBox["\[ExponentialE]", 
           FractionBox[
            RowBox[{"4", " ", "\[ImaginaryI]", " ", "n", " ", "\[Pi]"}], 
            "3"]]}]}], ")"}]}]}], "}"}], "}"}]}],
  SequenceForm[
  "Para j=", 3, 
   " se obtiene: ", {{$CellContext`a[$CellContext`n] -> 
     Rational[1, 3] E^(Complex[0, 
          Rational[-2, 3]] $CellContext`n Pi) (3 + 
       Complex[0, 4] 3^Rational[1, 2] - 3 E^(Complex[0, 
           Rational[2, 3]] $CellContext`n Pi) + (3 + 
         Complex[0, -4] 3^Rational[1, 2]) E^(Complex[0, 
            Rational[4, 3]] $CellContext`n Pi))}}],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.539459765526046*^9, 3.53945982084221*^9, {3.539459855185174*^9, 
   3.539459900676776*^9}, {3.5394599402870417`*^9, 3.539460039996744*^9}, {
   3.53946019202144*^9, 3.5394602501437645`*^9}, {3.5394602808685217`*^9, 
   3.539460292817205*^9}, 3.5394603346846*^9, {3.5394604642190084`*^9, 
   3.5394604689482794`*^9}, {3.5394618098929768`*^9, 3.5394618292940865`*^9}, 
   3.539554252496832*^9, 3.5395547224687123`*^9, 3.53955505723786*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Para j=\"\>", "\[InvisibleSpace]", "4", 
   "\[InvisibleSpace]", "\<\" se obtiene: \"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"a", "[", "n", "]"}], "\[Rule]", 
      RowBox[{
       FractionBox["1", "6"], " ", 
       SuperscriptBox["\[ExponentialE]", 
        RowBox[{
         RowBox[{"-", 
          FractionBox["2", "3"]}], " ", "\[ImaginaryI]", " ", "n", " ", 
         "\[Pi]"}]], " ", 
       RowBox[{"(", 
        RowBox[{"7", "+", 
         RowBox[{"9", " ", "\[ImaginaryI]", " ", 
          SqrtBox["3"]}], "-", 
         RowBox[{"8", " ", 
          SuperscriptBox["\[ExponentialE]", 
           FractionBox[
            RowBox[{"2", " ", "\[ImaginaryI]", " ", "n", " ", "\[Pi]"}], 
            "3"]]}], "+", 
         RowBox[{
          RowBox[{"(", 
           RowBox[{"7", "-", 
            RowBox[{"9", " ", "\[ImaginaryI]", " ", 
             SqrtBox["3"]}]}], ")"}], " ", 
          SuperscriptBox["\[ExponentialE]", 
           FractionBox[
            RowBox[{"4", " ", "\[ImaginaryI]", " ", "n", " ", "\[Pi]"}], 
            "3"]]}]}], ")"}]}]}], "}"}], "}"}]}],
  SequenceForm[
  "Para j=", 4, 
   " se obtiene: ", {{$CellContext`a[$CellContext`n] -> 
     Rational[1, 6] E^(Complex[0, 
          Rational[-2, 3]] $CellContext`n Pi) (7 + 
       Complex[0, 9] 3^Rational[1, 2] - 8 E^(Complex[0, 
           Rational[2, 3]] $CellContext`n Pi) + (7 + 
         Complex[0, -9] 3^Rational[1, 2]) E^(Complex[0, 
            Rational[4, 3]] $CellContext`n Pi))}}],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.539459765526046*^9, 3.53945982084221*^9, {3.539459855185174*^9, 
   3.539459900676776*^9}, {3.5394599402870417`*^9, 3.539460039996744*^9}, {
   3.53946019202144*^9, 3.5394602501437645`*^9}, {3.5394602808685217`*^9, 
   3.539460292817205*^9}, 3.5394603346846*^9, {3.5394604642190084`*^9, 
   3.5394604689482794`*^9}, {3.5394618098929768`*^9, 3.5394618292940865`*^9}, 
   3.539554252496832*^9, 3.5395547224687123`*^9, 3.5395550572638617`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Para j=\"\>", "\[InvisibleSpace]", "5", 
   "\[InvisibleSpace]", "\<\" se obtiene: \"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"a", "[", "n", "]"}], "\[Rule]", 
      RowBox[{
       FractionBox["1", "3"], " ", 
       SuperscriptBox["\[ExponentialE]", 
        RowBox[{
         RowBox[{"-", 
          FractionBox["2", "3"]}], " ", "\[ImaginaryI]", " ", "n", " ", 
         "\[Pi]"}]], " ", 
       RowBox[{"(", 
        RowBox[{"4", "+", 
         RowBox[{"5", " ", "\[ImaginaryI]", " ", 
          SqrtBox["3"]}], "-", 
         RowBox[{"5", " ", 
          SuperscriptBox["\[ExponentialE]", 
           FractionBox[
            RowBox[{"2", " ", "\[ImaginaryI]", " ", "n", " ", "\[Pi]"}], 
            "3"]]}], "+", 
         RowBox[{
          RowBox[{"(", 
           RowBox[{"4", "-", 
            RowBox[{"5", " ", "\[ImaginaryI]", " ", 
             SqrtBox["3"]}]}], ")"}], " ", 
          SuperscriptBox["\[ExponentialE]", 
           FractionBox[
            RowBox[{"4", " ", "\[ImaginaryI]", " ", "n", " ", "\[Pi]"}], 
            "3"]]}]}], ")"}]}]}], "}"}], "}"}]}],
  SequenceForm[
  "Para j=", 5, 
   " se obtiene: ", {{$CellContext`a[$CellContext`n] -> 
     Rational[1, 3] E^(Complex[0, 
          Rational[-2, 3]] $CellContext`n Pi) (4 + 
       Complex[0, 5] 3^Rational[1, 2] - 5 E^(Complex[0, 
           Rational[2, 3]] $CellContext`n Pi) + (4 + 
         Complex[0, -5] 3^Rational[1, 2]) E^(Complex[0, 
            Rational[4, 3]] $CellContext`n Pi))}}],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.539459765526046*^9, 3.53945982084221*^9, {3.539459855185174*^9, 
   3.539459900676776*^9}, {3.5394599402870417`*^9, 3.539460039996744*^9}, {
   3.53946019202144*^9, 3.5394602501437645`*^9}, {3.5394602808685217`*^9, 
   3.539460292817205*^9}, 3.5394603346846*^9, {3.5394604642190084`*^9, 
   3.5394604689482794`*^9}, {3.5394618098929768`*^9, 3.5394618292940865`*^9}, 
   3.539554252496832*^9, 3.5395547224687123`*^9, 3.539555057269862*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Para j=\"\>", "\[InvisibleSpace]", "6", 
   "\[InvisibleSpace]", "\<\" se obtiene: \"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"a", "[", "n", "]"}], "\[Rule]", 
      RowBox[{
       FractionBox["1", "6"], " ", 
       SuperscriptBox["\[ExponentialE]", 
        RowBox[{
         RowBox[{"-", 
          FractionBox["2", "3"]}], " ", "\[ImaginaryI]", " ", "n", " ", 
         "\[Pi]"}]], " ", 
       RowBox[{"(", 
        RowBox[{"9", "+", 
         RowBox[{"11", " ", "\[ImaginaryI]", " ", 
          SqrtBox["3"]}], "-", 
         RowBox[{"12", " ", 
          SuperscriptBox["\[ExponentialE]", 
           FractionBox[
            RowBox[{"2", " ", "\[ImaginaryI]", " ", "n", " ", "\[Pi]"}], 
            "3"]]}], "+", 
         RowBox[{
          RowBox[{"(", 
           RowBox[{"9", "-", 
            RowBox[{"11", " ", "\[ImaginaryI]", " ", 
             SqrtBox["3"]}]}], ")"}], " ", 
          SuperscriptBox["\[ExponentialE]", 
           FractionBox[
            RowBox[{"4", " ", "\[ImaginaryI]", " ", "n", " ", "\[Pi]"}], 
            "3"]]}]}], ")"}]}]}], "}"}], "}"}]}],
  SequenceForm[
  "Para j=", 6, 
   " se obtiene: ", {{$CellContext`a[$CellContext`n] -> 
     Rational[1, 6] E^(Complex[0, 
          Rational[-2, 3]] $CellContext`n Pi) (9 + 
       Complex[0, 11] 3^Rational[1, 2] - 12 E^(Complex[0, 
           Rational[2, 3]] $CellContext`n Pi) + (9 + 
         Complex[0, -11] 3^Rational[1, 2]) E^(Complex[0, 
            Rational[4, 3]] $CellContext`n Pi))}}],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.539459765526046*^9, 3.53945982084221*^9, {3.539459855185174*^9, 
   3.539459900676776*^9}, {3.5394599402870417`*^9, 3.539460039996744*^9}, {
   3.53946019202144*^9, 3.5394602501437645`*^9}, {3.5394602808685217`*^9, 
   3.539460292817205*^9}, 3.5394603346846*^9, {3.5394604642190084`*^9, 
   3.5394604689482794`*^9}, {3.5394618098929768`*^9, 3.5394618292940865`*^9}, 
   3.539554252496832*^9, 3.5395547224687123`*^9, 3.539555057273862*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Para j=\"\>", "\[InvisibleSpace]", "7", 
   "\[InvisibleSpace]", "\<\" se obtiene: \"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"a", "[", "n", "]"}], "\[Rule]", 
      RowBox[{
       FractionBox["1", "3"], " ", 
       SuperscriptBox["\[ExponentialE]", 
        RowBox[{
         RowBox[{"-", 
          FractionBox["2", "3"]}], " ", "\[ImaginaryI]", " ", "n", " ", 
         "\[Pi]"}]], " ", 
       RowBox[{"(", 
        RowBox[{"5", "+", 
         RowBox[{"6", " ", "\[ImaginaryI]", " ", 
          SqrtBox["3"]}], "-", 
         RowBox[{"7", " ", 
          SuperscriptBox["\[ExponentialE]", 
           FractionBox[
            RowBox[{"2", " ", "\[ImaginaryI]", " ", "n", " ", "\[Pi]"}], 
            "3"]]}], "+", 
         RowBox[{
          RowBox[{"(", 
           RowBox[{"5", "-", 
            RowBox[{"6", " ", "\[ImaginaryI]", " ", 
             SqrtBox["3"]}]}], ")"}], " ", 
          SuperscriptBox["\[ExponentialE]", 
           FractionBox[
            RowBox[{"4", " ", "\[ImaginaryI]", " ", "n", " ", "\[Pi]"}], 
            "3"]]}]}], ")"}]}]}], "}"}], "}"}]}],
  SequenceForm[
  "Para j=", 7, 
   " se obtiene: ", {{$CellContext`a[$CellContext`n] -> 
     Rational[1, 3] E^(Complex[0, 
          Rational[-2, 3]] $CellContext`n Pi) (5 + 
       Complex[0, 6] 3^Rational[1, 2] - 7 E^(Complex[0, 
           Rational[2, 3]] $CellContext`n Pi) + (5 + 
         Complex[0, -6] 3^Rational[1, 2]) E^(Complex[0, 
            Rational[4, 3]] $CellContext`n Pi))}}],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.539459765526046*^9, 3.53945982084221*^9, {3.539459855185174*^9, 
   3.539459900676776*^9}, {3.5394599402870417`*^9, 3.539460039996744*^9}, {
   3.53946019202144*^9, 3.5394602501437645`*^9}, {3.5394602808685217`*^9, 
   3.539460292817205*^9}, 3.5394603346846*^9, {3.5394604642190084`*^9, 
   3.5394604689482794`*^9}, {3.5394618098929768`*^9, 3.5394618292940865`*^9}, 
   3.539554252496832*^9, 3.5395547224687123`*^9, 3.539555057288863*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Para j=\"\>", "\[InvisibleSpace]", "8", 
   "\[InvisibleSpace]", "\<\" se obtiene: \"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"a", "[", "n", "]"}], "\[Rule]", 
      RowBox[{
       FractionBox["1", "6"], " ", 
       SuperscriptBox["\[ExponentialE]", 
        RowBox[{
         RowBox[{"-", 
          FractionBox["2", "3"]}], " ", "\[ImaginaryI]", " ", "n", " ", 
         "\[Pi]"}]], " ", 
       RowBox[{"(", 
        RowBox[{"11", "+", 
         RowBox[{"13", " ", "\[ImaginaryI]", " ", 
          SqrtBox["3"]}], "-", 
         RowBox[{"16", " ", 
          SuperscriptBox["\[ExponentialE]", 
           FractionBox[
            RowBox[{"2", " ", "\[ImaginaryI]", " ", "n", " ", "\[Pi]"}], 
            "3"]]}], "+", 
         RowBox[{
          RowBox[{"(", 
           RowBox[{"11", "-", 
            RowBox[{"13", " ", "\[ImaginaryI]", " ", 
             SqrtBox["3"]}]}], ")"}], " ", 
          SuperscriptBox["\[ExponentialE]", 
           FractionBox[
            RowBox[{"4", " ", "\[ImaginaryI]", " ", "n", " ", "\[Pi]"}], 
            "3"]]}]}], ")"}]}]}], "}"}], "}"}]}],
  SequenceForm[
  "Para j=", 8, 
   " se obtiene: ", {{$CellContext`a[$CellContext`n] -> 
     Rational[1, 6] E^(Complex[0, 
          Rational[-2, 3]] $CellContext`n Pi) (11 + 
       Complex[0, 13] 3^Rational[1, 2] - 16 E^(Complex[0, 
           Rational[2, 3]] $CellContext`n Pi) + (11 + 
         Complex[0, -13] 3^Rational[1, 2]) E^(Complex[0, 
            Rational[4, 3]] $CellContext`n Pi))}}],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.539459765526046*^9, 3.53945982084221*^9, {3.539459855185174*^9, 
   3.539459900676776*^9}, {3.5394599402870417`*^9, 3.539460039996744*^9}, {
   3.53946019202144*^9, 3.5394602501437645`*^9}, {3.5394602808685217`*^9, 
   3.539460292817205*^9}, 3.5394603346846*^9, {3.5394604642190084`*^9, 
   3.5394604689482794`*^9}, {3.5394618098929768`*^9, 3.5394618292940865`*^9}, 
   3.539554252496832*^9, 3.5395547224687123`*^9, 3.5395550573158646`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Para j=\"\>", "\[InvisibleSpace]", "9", 
   "\[InvisibleSpace]", "\<\" se obtiene: \"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"a", "[", "n", "]"}], "\[Rule]", 
      RowBox[{
       FractionBox["1", "3"], " ", 
       SuperscriptBox["\[ExponentialE]", 
        RowBox[{
         RowBox[{"-", 
          FractionBox["2", "3"]}], " ", "\[ImaginaryI]", " ", "n", " ", 
         "\[Pi]"}]], " ", 
       RowBox[{"(", 
        RowBox[{"6", "+", 
         RowBox[{"7", " ", "\[ImaginaryI]", " ", 
          SqrtBox["3"]}], "-", 
         RowBox[{"9", " ", 
          SuperscriptBox["\[ExponentialE]", 
           FractionBox[
            RowBox[{"2", " ", "\[ImaginaryI]", " ", "n", " ", "\[Pi]"}], 
            "3"]]}], "+", 
         RowBox[{
          RowBox[{"(", 
           RowBox[{"6", "-", 
            RowBox[{"7", " ", "\[ImaginaryI]", " ", 
             SqrtBox["3"]}]}], ")"}], " ", 
          SuperscriptBox["\[ExponentialE]", 
           FractionBox[
            RowBox[{"4", " ", "\[ImaginaryI]", " ", "n", " ", "\[Pi]"}], 
            "3"]]}]}], ")"}]}]}], "}"}], "}"}]}],
  SequenceForm[
  "Para j=", 9, 
   " se obtiene: ", {{$CellContext`a[$CellContext`n] -> 
     Rational[1, 3] E^(Complex[0, 
          Rational[-2, 3]] $CellContext`n Pi) (6 + 
       Complex[0, 7] 3^Rational[1, 2] - 9 E^(Complex[0, 
           Rational[2, 3]] $CellContext`n Pi) + (6 + 
         Complex[0, -7] 3^Rational[1, 2]) E^(Complex[0, 
            Rational[4, 3]] $CellContext`n Pi))}}],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.539459765526046*^9, 3.53945982084221*^9, {3.539459855185174*^9, 
   3.539459900676776*^9}, {3.5394599402870417`*^9, 3.539460039996744*^9}, {
   3.53946019202144*^9, 3.5394602501437645`*^9}, {3.5394602808685217`*^9, 
   3.539460292817205*^9}, 3.5394603346846*^9, {3.5394604642190084`*^9, 
   3.5394604689482794`*^9}, {3.5394618098929768`*^9, 3.5394618292940865`*^9}, 
   3.539554252496832*^9, 3.5395547224687123`*^9, 3.5395550573208647`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Para j=\"\>", "\[InvisibleSpace]", "10", 
   "\[InvisibleSpace]", "\<\" se obtiene: \"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"a", "[", "n", "]"}], "\[Rule]", 
      RowBox[{
       FractionBox["1", "6"], " ", 
       SuperscriptBox["\[ExponentialE]", 
        RowBox[{
         RowBox[{"-", 
          FractionBox["2", "3"]}], " ", "\[ImaginaryI]", " ", "n", " ", 
         "\[Pi]"}]], " ", 
       RowBox[{"(", 
        RowBox[{"13", "+", 
         RowBox[{"15", " ", "\[ImaginaryI]", " ", 
          SqrtBox["3"]}], "-", 
         RowBox[{"20", " ", 
          SuperscriptBox["\[ExponentialE]", 
           FractionBox[
            RowBox[{"2", " ", "\[ImaginaryI]", " ", "n", " ", "\[Pi]"}], 
            "3"]]}], "+", 
         RowBox[{
          RowBox[{"(", 
           RowBox[{"13", "-", 
            RowBox[{"15", " ", "\[ImaginaryI]", " ", 
             SqrtBox["3"]}]}], ")"}], " ", 
          SuperscriptBox["\[ExponentialE]", 
           FractionBox[
            RowBox[{"4", " ", "\[ImaginaryI]", " ", "n", " ", "\[Pi]"}], 
            "3"]]}]}], ")"}]}]}], "}"}], "}"}]}],
  SequenceForm[
  "Para j=", 10, 
   " se obtiene: ", {{$CellContext`a[$CellContext`n] -> 
     Rational[1, 6] E^(Complex[0, 
          Rational[-2, 3]] $CellContext`n Pi) (13 + 
       Complex[0, 15] 3^Rational[1, 2] - 20 E^(Complex[0, 
           Rational[2, 3]] $CellContext`n Pi) + (13 + 
         Complex[0, -15] 3^Rational[1, 2]) E^(Complex[0, 
            Rational[4, 3]] $CellContext`n Pi))}}],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.539459765526046*^9, 3.53945982084221*^9, {3.539459855185174*^9, 
   3.539459900676776*^9}, {3.5394599402870417`*^9, 3.539460039996744*^9}, {
   3.53946019202144*^9, 3.5394602501437645`*^9}, {3.5394602808685217`*^9, 
   3.539460292817205*^9}, 3.5394603346846*^9, {3.5394604642190084`*^9, 
   3.5394604689482794`*^9}, {3.5394618098929768`*^9, 3.5394618292940865`*^9}, 
   3.539554252496832*^9, 3.5395547224687123`*^9, 3.5395550573248653`*^9}]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"FindSequenceFunction", "[", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
    "2", ",", "5", ",", "3", ",", "7", ",", "4", ",", "9", ",", "5", ",", 
     "11", ",", "6", ",", "13"}], "}"}], ",", "n"}], "]"}]], "Input",
 CellChangeTimes->{{3.539460784245313*^9, 3.5394608122579155`*^9}, {
  3.539461232000923*^9, 3.539461257527383*^9}}],

Cell[BoxData[
 RowBox[{
  FractionBox["1", "4"], " ", 
  RowBox[{"(", 
   RowBox[{"3", "+", 
    SuperscriptBox[
     RowBox[{"(", 
      RowBox[{"-", "1"}], ")"}], "n"]}], ")"}], " ", 
  RowBox[{"(", 
   RowBox[{"3", "+", "n"}], ")"}]}]], "Output",
 CellChangeTimes->{
  3.539460813005958*^9, 3.5394612589374638`*^9, {3.539462327166563*^9, 
   3.5394623508439174`*^9}, 3.539554259343223*^9}]
}, Open  ]],

Cell["Verificaci\[OAcute]n:", "Text",
 CellChangeTimes->{{3.539464063349867*^9, 3.539464075351554*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"For", "[", 
  RowBox[{
   RowBox[{"j", "=", "1"}], ",", 
   RowBox[{"j", "\[LessEqual]", "10"}], ",", 
   RowBox[{
    RowBox[{"If", "[", 
     RowBox[{
      RowBox[{
       RowBox[{"Mod", "[", 
        RowBox[{"j", ",", "2"}], "]"}], "\[Equal]", "0"}], ",", 
      RowBox[{"Print", "[", 
       RowBox[{"Simplify", "[", 
        RowBox[{
         FractionBox["1", "6"], " ", 
         SuperscriptBox["\[ExponentialE]", 
          RowBox[{
           RowBox[{"-", 
            FractionBox["2", "3"]}], " ", "\[ImaginaryI]", " ", "n", " ", 
           "\[Pi]"}]], " ", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{
            FractionBox["1", "4"], " ", 
            RowBox[{"(", 
             RowBox[{"3", "+", 
              SuperscriptBox[
               RowBox[{"(", 
                RowBox[{"-", "1"}], ")"}], "j"]}], ")"}], " ", 
            RowBox[{"(", 
             RowBox[{"3", "+", "j"}], ")"}]}], "+", 
           RowBox[{
            RowBox[{"(", 
             RowBox[{
              RowBox[{
               FractionBox["1", "4"], " ", 
               RowBox[{"(", 
                RowBox[{"3", "+", 
                 SuperscriptBox[
                  RowBox[{"(", 
                   RowBox[{"-", "1"}], ")"}], "j"]}], ")"}], " ", 
               RowBox[{"(", 
                RowBox[{"3", "+", "j"}], ")"}]}], "+", "2"}], ")"}], " ", 
            "\[ImaginaryI]", " ", 
            SqrtBox["3"]}], "-", 
           RowBox[{"2", " ", "j", " ", 
            SuperscriptBox["\[ExponentialE]", 
             FractionBox[
              RowBox[{"2", " ", "\[ImaginaryI]", " ", "n", " ", "\[Pi]"}], 
              "3"]]}], "+", 
           RowBox[{
            RowBox[{"(", 
             RowBox[{
              RowBox[{
               FractionBox["1", "4"], " ", 
               RowBox[{"(", 
                RowBox[{"3", "+", 
                 SuperscriptBox[
                  RowBox[{"(", 
                   RowBox[{"-", "1"}], ")"}], "j"]}], ")"}], " ", 
               RowBox[{"(", 
                RowBox[{"3", "+", "j"}], ")"}]}], "-", 
              RowBox[{
               RowBox[{"(", 
                RowBox[{
                 RowBox[{
                  FractionBox["1", "4"], " ", 
                  RowBox[{"(", 
                   RowBox[{"3", "+", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{"-", "1"}], ")"}], "j"]}], ")"}], " ", 
                  RowBox[{"(", 
                   RowBox[{"3", "+", "j"}], ")"}]}], "+", "2"}], ")"}], " ", 
               "\[ImaginaryI]", " ", 
               SqrtBox["3"]}]}], ")"}], " ", 
            SuperscriptBox["\[ExponentialE]", 
             FractionBox[
              RowBox[{"4", " ", "\[ImaginaryI]", " ", "n", " ", "\[Pi]"}], 
              "3"]]}]}], ")"}]}], "]"}], "]"}], ",", 
      RowBox[{"Print", "[", 
       RowBox[{"Simplify", "[", 
        RowBox[{
         FractionBox["1", "3"], " ", 
         SuperscriptBox["\[ExponentialE]", 
          RowBox[{
           RowBox[{"-", 
            FractionBox["2", "3"]}], " ", "\[ImaginaryI]", " ", "n", " ", 
           "\[Pi]"}]], " ", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{
            FractionBox["1", "4"], " ", 
            RowBox[{"(", 
             RowBox[{"3", "+", 
              SuperscriptBox[
               RowBox[{"(", 
                RowBox[{"-", "1"}], ")"}], "j"]}], ")"}], " ", 
            RowBox[{"(", 
             RowBox[{"3", "+", "j"}], ")"}]}], "+", 
           RowBox[{
            RowBox[{"(", 
             RowBox[{
              RowBox[{
               FractionBox["1", "4"], " ", 
               RowBox[{"(", 
                RowBox[{"3", "+", 
                 SuperscriptBox[
                  RowBox[{"(", 
                   RowBox[{"-", "1"}], ")"}], "j"]}], ")"}], " ", 
               RowBox[{"(", 
                RowBox[{"3", "+", "j"}], ")"}]}], "+", "1"}], ")"}], " ", 
            "\[ImaginaryI]", " ", 
            SqrtBox["3"]}], "-", 
           RowBox[{"j", " ", 
            SuperscriptBox["\[ExponentialE]", 
             FractionBox[
              RowBox[{"2", " ", "\[ImaginaryI]", " ", "n", " ", "\[Pi]"}], 
              "3"]]}], "+", 
           RowBox[{
            RowBox[{"(", 
             RowBox[{
              RowBox[{
               FractionBox["1", "4"], " ", 
               RowBox[{"(", 
                RowBox[{"3", "+", 
                 SuperscriptBox[
                  RowBox[{"(", 
                   RowBox[{"-", "1"}], ")"}], "j"]}], ")"}], " ", 
               RowBox[{"(", 
                RowBox[{"3", "+", "j"}], ")"}]}], "-", 
              RowBox[{
               RowBox[{"(", 
                RowBox[{
                 RowBox[{
                  FractionBox["1", "4"], " ", 
                  RowBox[{"(", 
                   RowBox[{"3", "+", 
                    SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{"-", "1"}], ")"}], "j"]}], ")"}], " ", 
                  RowBox[{"(", 
                   RowBox[{"3", "+", "j"}], ")"}]}], "+", "1"}], ")"}], " ", 
               "\[ImaginaryI]", " ", 
               SqrtBox["3"]}]}], ")"}], " ", 
            SuperscriptBox["\[ExponentialE]", 
             FractionBox[
              RowBox[{"4", " ", "\[ImaginaryI]", " ", "n", " ", "\[Pi]"}], 
              "3"]]}]}], ")"}]}], "]"}], "]"}]}], " ", "]"}], ";", 
    RowBox[{"j", "++"}]}]}], "]"}]], "Input",
 CellChangeTimes->{{3.5394626991358385`*^9, 3.539462829311284*^9}, {
  3.5394636423207855`*^9, 3.5394636840201707`*^9}, {3.539463733996029*^9, 
  3.539463749506916*^9}, {3.5394638947802258`*^9, 3.5394638982424235`*^9}, {
  3.5394643481751585`*^9, 3.5394643567996516`*^9}, {3.5395542631744423`*^9, 
  3.5395543548456855`*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  FractionBox["1", "3"], " ", 
  SuperscriptBox["\[ExponentialE]", 
   RowBox[{
    RowBox[{"-", 
     FractionBox["2", "3"]}], " ", "\[ImaginaryI]", " ", "n", " ", "\[Pi]"}]],
   " ", 
  RowBox[{"(", 
   RowBox[{"2", "+", 
    RowBox[{"3", " ", "\[ImaginaryI]", " ", 
     SqrtBox["3"]}], "-", 
    SuperscriptBox["\[ExponentialE]", 
     FractionBox[
      RowBox[{"2", " ", "\[ImaginaryI]", " ", "n", " ", "\[Pi]"}], "3"]], "+", 
    RowBox[{
     RowBox[{"(", 
      RowBox[{"2", "-", 
       RowBox[{"3", " ", "\[ImaginaryI]", " ", 
        SqrtBox["3"]}]}], ")"}], " ", 
     SuperscriptBox["\[ExponentialE]", 
      FractionBox[
       RowBox[{"4", " ", "\[ImaginaryI]", " ", "n", " ", "\[Pi]"}], "3"]]}]}],
    ")"}]}]], "Print",
 CellChangeTimes->{3.5394641100205364`*^9, 3.539554358380888*^9, 
  3.539555073061765*^9}],

Cell[BoxData[
 RowBox[{
  FractionBox["1", "6"], " ", 
  SuperscriptBox["\[ExponentialE]", 
   RowBox[{
    RowBox[{"-", 
     FractionBox["2", "3"]}], " ", "\[ImaginaryI]", " ", "n", " ", "\[Pi]"}]],
   " ", 
  RowBox[{"(", 
   RowBox[{"5", "+", 
    RowBox[{"7", " ", "\[ImaginaryI]", " ", 
     SqrtBox["3"]}], "-", 
    RowBox[{"4", " ", 
     SuperscriptBox["\[ExponentialE]", 
      FractionBox[
       RowBox[{"2", " ", "\[ImaginaryI]", " ", "n", " ", "\[Pi]"}], "3"]]}], 
    "+", 
    RowBox[{
     RowBox[{"(", 
      RowBox[{"5", "-", 
       RowBox[{"7", " ", "\[ImaginaryI]", " ", 
        SqrtBox["3"]}]}], ")"}], " ", 
     SuperscriptBox["\[ExponentialE]", 
      FractionBox[
       RowBox[{"4", " ", "\[ImaginaryI]", " ", "n", " ", "\[Pi]"}], "3"]]}]}],
    ")"}]}]], "Print",
 CellChangeTimes->{3.5394641100205364`*^9, 3.539554358380888*^9, 
  3.5395550730657654`*^9}],

Cell[BoxData[
 RowBox[{
  FractionBox["1", "3"], " ", 
  SuperscriptBox["\[ExponentialE]", 
   RowBox[{
    RowBox[{"-", 
     FractionBox["2", "3"]}], " ", "\[ImaginaryI]", " ", "n", " ", "\[Pi]"}]],
   " ", 
  RowBox[{"(", 
   RowBox[{"3", "+", 
    RowBox[{"4", " ", "\[ImaginaryI]", " ", 
     SqrtBox["3"]}], "-", 
    RowBox[{"3", " ", 
     SuperscriptBox["\[ExponentialE]", 
      FractionBox[
       RowBox[{"2", " ", "\[ImaginaryI]", " ", "n", " ", "\[Pi]"}], "3"]]}], 
    "+", 
    RowBox[{
     RowBox[{"(", 
      RowBox[{"3", "-", 
       RowBox[{"4", " ", "\[ImaginaryI]", " ", 
        SqrtBox["3"]}]}], ")"}], " ", 
     SuperscriptBox["\[ExponentialE]", 
      FractionBox[
       RowBox[{"4", " ", "\[ImaginaryI]", " ", "n", " ", "\[Pi]"}], "3"]]}]}],
    ")"}]}]], "Print",
 CellChangeTimes->{3.5394641100205364`*^9, 3.539554358380888*^9, 
  3.5395550730687656`*^9}],

Cell[BoxData[
 RowBox[{
  FractionBox["1", "6"], " ", 
  SuperscriptBox["\[ExponentialE]", 
   RowBox[{
    RowBox[{"-", 
     FractionBox["2", "3"]}], " ", "\[ImaginaryI]", " ", "n", " ", "\[Pi]"}]],
   " ", 
  RowBox[{"(", 
   RowBox[{"7", "+", 
    RowBox[{"9", " ", "\[ImaginaryI]", " ", 
     SqrtBox["3"]}], "-", 
    RowBox[{"8", " ", 
     SuperscriptBox["\[ExponentialE]", 
      FractionBox[
       RowBox[{"2", " ", "\[ImaginaryI]", " ", "n", " ", "\[Pi]"}], "3"]]}], 
    "+", 
    RowBox[{
     RowBox[{"(", 
      RowBox[{"7", "-", 
       RowBox[{"9", " ", "\[ImaginaryI]", " ", 
        SqrtBox["3"]}]}], ")"}], " ", 
     SuperscriptBox["\[ExponentialE]", 
      FractionBox[
       RowBox[{"4", " ", "\[ImaginaryI]", " ", "n", " ", "\[Pi]"}], "3"]]}]}],
    ")"}]}]], "Print",
 CellChangeTimes->{3.5394641100205364`*^9, 3.539554358380888*^9, 
  3.539555073074766*^9}],

Cell[BoxData[
 RowBox[{
  FractionBox["1", "3"], " ", 
  SuperscriptBox["\[ExponentialE]", 
   RowBox[{
    RowBox[{"-", 
     FractionBox["2", "3"]}], " ", "\[ImaginaryI]", " ", "n", " ", "\[Pi]"}]],
   " ", 
  RowBox[{"(", 
   RowBox[{"4", "+", 
    RowBox[{"5", " ", "\[ImaginaryI]", " ", 
     SqrtBox["3"]}], "-", 
    RowBox[{"5", " ", 
     SuperscriptBox["\[ExponentialE]", 
      FractionBox[
       RowBox[{"2", " ", "\[ImaginaryI]", " ", "n", " ", "\[Pi]"}], "3"]]}], 
    "+", 
    RowBox[{
     RowBox[{"(", 
      RowBox[{"4", "-", 
       RowBox[{"5", " ", "\[ImaginaryI]", " ", 
        SqrtBox["3"]}]}], ")"}], " ", 
     SuperscriptBox["\[ExponentialE]", 
      FractionBox[
       RowBox[{"4", " ", "\[ImaginaryI]", " ", "n", " ", "\[Pi]"}], "3"]]}]}],
    ")"}]}]], "Print",
 CellChangeTimes->{3.5394641100205364`*^9, 3.539554358380888*^9, 
  3.5395550730777664`*^9}],

Cell[BoxData[
 RowBox[{
  FractionBox["1", "6"], " ", 
  SuperscriptBox["\[ExponentialE]", 
   RowBox[{
    RowBox[{"-", 
     FractionBox["2", "3"]}], " ", "\[ImaginaryI]", " ", "n", " ", "\[Pi]"}]],
   " ", 
  RowBox[{"(", 
   RowBox[{"9", "+", 
    RowBox[{"11", " ", "\[ImaginaryI]", " ", 
     SqrtBox["3"]}], "-", 
    RowBox[{"12", " ", 
     SuperscriptBox["\[ExponentialE]", 
      FractionBox[
       RowBox[{"2", " ", "\[ImaginaryI]", " ", "n", " ", "\[Pi]"}], "3"]]}], 
    "+", 
    RowBox[{
     RowBox[{"(", 
      RowBox[{"9", "-", 
       RowBox[{"11", " ", "\[ImaginaryI]", " ", 
        SqrtBox["3"]}]}], ")"}], " ", 
     SuperscriptBox["\[ExponentialE]", 
      FractionBox[
       RowBox[{"4", " ", "\[ImaginaryI]", " ", "n", " ", "\[Pi]"}], "3"]]}]}],
    ")"}]}]], "Print",
 CellChangeTimes->{3.5394641100205364`*^9, 3.539554358380888*^9, 
  3.5395550730807667`*^9}],

Cell[BoxData[
 RowBox[{
  FractionBox["1", "3"], " ", 
  SuperscriptBox["\[ExponentialE]", 
   RowBox[{
    RowBox[{"-", 
     FractionBox["2", "3"]}], " ", "\[ImaginaryI]", " ", "n", " ", "\[Pi]"}]],
   " ", 
  RowBox[{"(", 
   RowBox[{"5", "+", 
    RowBox[{"6", " ", "\[ImaginaryI]", " ", 
     SqrtBox["3"]}], "-", 
    RowBox[{"7", " ", 
     SuperscriptBox["\[ExponentialE]", 
      FractionBox[
       RowBox[{"2", " ", "\[ImaginaryI]", " ", "n", " ", "\[Pi]"}], "3"]]}], 
    "+", 
    RowBox[{
     RowBox[{"(", 
      RowBox[{"5", "-", 
       RowBox[{"6", " ", "\[ImaginaryI]", " ", 
        SqrtBox["3"]}]}], ")"}], " ", 
     SuperscriptBox["\[ExponentialE]", 
      FractionBox[
       RowBox[{"4", " ", "\[ImaginaryI]", " ", "n", " ", "\[Pi]"}], "3"]]}]}],
    ")"}]}]], "Print",
 CellChangeTimes->{3.5394641100205364`*^9, 3.539554358380888*^9, 
  3.5395550730837665`*^9}],

Cell[BoxData[
 RowBox[{
  FractionBox["1", "6"], " ", 
  SuperscriptBox["\[ExponentialE]", 
   RowBox[{
    RowBox[{"-", 
     FractionBox["2", "3"]}], " ", "\[ImaginaryI]", " ", "n", " ", "\[Pi]"}]],
   " ", 
  RowBox[{"(", 
   RowBox[{"11", "+", 
    RowBox[{"13", " ", "\[ImaginaryI]", " ", 
     SqrtBox["3"]}], "-", 
    RowBox[{"16", " ", 
     SuperscriptBox["\[ExponentialE]", 
      FractionBox[
       RowBox[{"2", " ", "\[ImaginaryI]", " ", "n", " ", "\[Pi]"}], "3"]]}], 
    "+", 
    RowBox[{
     RowBox[{"(", 
      RowBox[{"11", "-", 
       RowBox[{"13", " ", "\[ImaginaryI]", " ", 
        SqrtBox["3"]}]}], ")"}], " ", 
     SuperscriptBox["\[ExponentialE]", 
      FractionBox[
       RowBox[{"4", " ", "\[ImaginaryI]", " ", "n", " ", "\[Pi]"}], "3"]]}]}],
    ")"}]}]], "Print",
 CellChangeTimes->{3.5394641100205364`*^9, 3.539554358380888*^9, 
  3.539555073088767*^9}],

Cell[BoxData[
 RowBox[{
  FractionBox["1", "3"], " ", 
  SuperscriptBox["\[ExponentialE]", 
   RowBox[{
    RowBox[{"-", 
     FractionBox["2", "3"]}], " ", "\[ImaginaryI]", " ", "n", " ", "\[Pi]"}]],
   " ", 
  RowBox[{"(", 
   RowBox[{"6", "+", 
    RowBox[{"7", " ", "\[ImaginaryI]", " ", 
     SqrtBox["3"]}], "-", 
    RowBox[{"9", " ", 
     SuperscriptBox["\[ExponentialE]", 
      FractionBox[
       RowBox[{"2", " ", "\[ImaginaryI]", " ", "n", " ", "\[Pi]"}], "3"]]}], 
    "+", 
    RowBox[{
     RowBox[{"(", 
      RowBox[{"6", "-", 
       RowBox[{"7", " ", "\[ImaginaryI]", " ", 
        SqrtBox["3"]}]}], ")"}], " ", 
     SuperscriptBox["\[ExponentialE]", 
      FractionBox[
       RowBox[{"4", " ", "\[ImaginaryI]", " ", "n", " ", "\[Pi]"}], "3"]]}]}],
    ")"}]}]], "Print",
 CellChangeTimes->{3.5394641100205364`*^9, 3.539554358380888*^9, 
  3.5395550730917673`*^9}],

Cell[BoxData[
 RowBox[{
  FractionBox["1", "6"], " ", 
  SuperscriptBox["\[ExponentialE]", 
   RowBox[{
    RowBox[{"-", 
     FractionBox["2", "3"]}], " ", "\[ImaginaryI]", " ", "n", " ", "\[Pi]"}]],
   " ", 
  RowBox[{"(", 
   RowBox[{"13", "+", 
    RowBox[{"15", " ", "\[ImaginaryI]", " ", 
     SqrtBox["3"]}], "-", 
    RowBox[{"20", " ", 
     SuperscriptBox["\[ExponentialE]", 
      FractionBox[
       RowBox[{"2", " ", "\[ImaginaryI]", " ", "n", " ", "\[Pi]"}], "3"]]}], 
    "+", 
    RowBox[{
     RowBox[{"(", 
      RowBox[{"13", "-", 
       RowBox[{"15", " ", "\[ImaginaryI]", " ", 
        SqrtBox["3"]}]}], ")"}], " ", 
     SuperscriptBox["\[ExponentialE]", 
      FractionBox[
       RowBox[{"4", " ", "\[ImaginaryI]", " ", "n", " ", "\[Pi]"}], "3"]]}]}],
    ")"}]}]], "Print",
 CellChangeTimes->{3.5394641100205364`*^9, 3.539554358380888*^9, 
  3.539555073094767*^9}]
}, Open  ]]
}, Open  ]],

Cell[TextData[StyleBox["Ejemplo 7",
 FontWeight->"Bold"]], "Text",
 CellChangeTimes->{{3.538306803646896*^9, 3.5383068084951735`*^9}, {
  3.5388301739970284`*^9, 3.538830183726585*^9}, {3.538833058614019*^9, 
  3.5388330703046875`*^9}, {3.5388339886732154`*^9, 3.538834005331168*^9}, {
  3.5388400891311417`*^9, 3.5388400948104663`*^9}, {3.53942611787751*^9, 
  3.539426121749732*^9}, {3.5394485210759*^9, 3.539448521759939*^9}},
 Background->RGBColor[1, 0.5, 0]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Solve", "[", 
  RowBox[{
   RowBox[{
    RowBox[{
     SuperscriptBox["t", "2"], "-", "t", "-", "1"}], "\[Equal]", "0"}], ",", 
   "t"}], "]"}]], "Input",
 CellChangeTimes->{{3.539602194033085*^9, 3.5396022011644926`*^9}}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"t", "\[Rule]", 
     RowBox[{
      FractionBox["1", "2"], " ", 
      RowBox[{"(", 
       RowBox[{"1", "-", 
        SqrtBox["5"]}], ")"}]}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"t", "\[Rule]", 
     RowBox[{
      FractionBox["1", "2"], " ", 
      RowBox[{"(", 
       RowBox[{"1", "+", 
        SqrtBox["5"]}], ")"}]}]}], "}"}]}], "}"}]], "Output",
 CellChangeTimes->{3.539602203493626*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Solve", "[", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
     RowBox[{
      RowBox[{
       SubscriptBox["b", "1"], "+", 
       SubscriptBox["b", "2"]}], "\[Equal]", "1"}], ",", 
     RowBox[{
      RowBox[{
       RowBox[{
        FractionBox[
         RowBox[{"1", "+", 
          SqrtBox["5"]}], "2"], 
        SubscriptBox["b", "1"]}], "+", 
       RowBox[{
        FractionBox[
         RowBox[{"1", "-", 
          SqrtBox["5"]}], "2"], 
        SubscriptBox["b", "2"]}]}], "\[Equal]", "1"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     SubscriptBox["b", "1"], ",", 
     SubscriptBox["b", "2"]}], "}"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.539598298376266*^9, 3.5395984687330103`*^9}}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"{", 
   RowBox[{
    RowBox[{
     SubscriptBox["b", "1"], "\[Rule]", 
     FractionBox[
      RowBox[{"1", "+", 
       SqrtBox["5"]}], 
      RowBox[{"2", " ", 
       SqrtBox["5"]}]]}], ",", 
    RowBox[{
     SubscriptBox["b", "2"], "\[Rule]", 
     RowBox[{
      FractionBox["1", "2"], "-", 
      FractionBox["1", 
       RowBox[{"2", " ", 
        SqrtBox["5"]}]]}]}]}], "}"}], "}"}]], "Output",
 CellChangeTimes->{{3.539598393222691*^9, 3.5395984831358337`*^9}}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"LinearRecurrence", "[", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"1", ",", "1"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"1", ",", "1"}], "}"}], ",", "20"}], "]"}]], "Input",
 CellChangeTimes->{{3.53959935515571*^9, 3.5395993805171614`*^9}, {
  3.539599448216033*^9, 3.539599487275267*^9}, {3.5395996102313004`*^9, 
  3.5395996117553873`*^9}}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
  "1", ",", "1", ",", "2", ",", "3", ",", "5", ",", "8", ",", "13", ",", "21",
    ",", "34", ",", "55", ",", "89", ",", "144", ",", "233", ",", "377", ",", 
   "610", ",", "987", ",", "1597", ",", "2584", ",", "4181", ",", "6765"}], 
  "}"}]], "Output",
 CellChangeTimes->{{3.5395994796028285`*^9, 3.539599488180319*^9}, 
   3.5395996126844406`*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"FindLinearRecurrence", "[", 
  RowBox[{"{", 
   RowBox[{
   "1", ",", "1", ",", "2", ",", "3", ",", "5", ",", "8", ",", "13", ",", 
    "21", ",", "34", ",", "55", ",", "89", ",", "144", ",", "233", ",", 
    "377"}], "}"}], "]"}]], "Input",
 CellChangeTimes->{{3.539599962960475*^9, 3.5395999770592813`*^9}}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"1", ",", "1"}], "}"}]], "Output",
 CellChangeTimes->{3.539599978871385*^9}]
}, Open  ]],

Cell[TextData[StyleBox["Ejemplo 8",
 FontWeight->"Bold"]], "Text",
 CellChangeTimes->{{3.538306803646896*^9, 3.5383068084951735`*^9}, {
  3.5388301739970284`*^9, 3.538830183726585*^9}, {3.538833058614019*^9, 
  3.5388330703046875`*^9}, {3.5388339886732154`*^9, 3.538834005331168*^9}, {
  3.5388400891311417`*^9, 3.5388400948104663`*^9}, {3.53942611787751*^9, 
  3.539426121749732*^9}, {3.5394485210759*^9, 3.539448521759939*^9}, {
  3.539601231900054*^9, 3.539601232373081*^9}},
 Background->RGBColor[1, 0.5, 0]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"LinearRecurrence", "[", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
     FractionBox["7", "3"], ",", 
     RowBox[{"-", 
      FractionBox["2", "3"]}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"1", ",", "2"}], "}"}], ",", "15"}], "]"}]], "Input",
 CellChangeTimes->{{3.5396012350502343`*^9, 3.5396012396554976`*^9}, {
   3.5396013442064776`*^9, 3.5396013740941873`*^9}, 3.5396014636353083`*^9}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
  "1", ",", "2", ",", "4", ",", "8", ",", "16", ",", "32", ",", "64", ",", 
   "128", ",", "256", ",", "512", ",", "1024", ",", "2048", ",", "4096", ",", 
   "8192", ",", "16384"}], "}"}]], "Output",
 CellChangeTimes->{3.539601379605502*^9, 3.5396014686425953`*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Solve", "[", 
  RowBox[{
   RowBox[{
    RowBox[{
     SuperscriptBox["t", "2"], "-", 
     RowBox[{
      FractionBox["7", "3"], "t"}], "+", 
     FractionBox["2", "3"]}], "\[Equal]", "0"}], ",", "t"}], "]"}]], "Input",
 CellChangeTimes->{{3.5396017722689614`*^9, 3.539601773886054*^9}, {
  3.539601848678332*^9, 3.539601880277139*^9}}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"t", "\[Rule]", 
     FractionBox["1", "3"]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"t", "\[Rule]", "2"}], "}"}]}], "}"}]], "Output",
 CellChangeTimes->{3.539601881434205*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Solve", "[", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
     RowBox[{
      RowBox[{
       SubscriptBox["b", "1"], "+", 
       SubscriptBox["b", "2"]}], "\[Equal]", "1"}], ",", 
     RowBox[{
      RowBox[{
       RowBox[{
        FractionBox["1", "3"], 
        SubscriptBox["b", "1"]}], "+", 
       RowBox[{"2", 
        SubscriptBox["b", "2"]}]}], "\[Equal]", "2"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     SubscriptBox["b", "1"], ",", 
     SubscriptBox["b", "2"]}], "}"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.5396022160213423`*^9, 3.539602228175038*^9}}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"{", 
   RowBox[{
    RowBox[{
     SubscriptBox["b", "1"], "\[Rule]", "0"}], ",", 
    RowBox[{
     SubscriptBox["b", "2"], "\[Rule]", "1"}]}], "}"}], "}"}]], "Output",
 CellChangeTimes->{3.5396022401277213`*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"RSolve", "[", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
     RowBox[{
      RowBox[{"3", " ", 
       RowBox[{"a", "[", "n", "]"}]}], "\[Equal]", 
      RowBox[{
       RowBox[{"7", " ", 
        RowBox[{"a", "[", 
         RowBox[{"n", "-", "1"}], "]"}]}], "-", 
       RowBox[{"2", " ", 
        RowBox[{"a", "[", 
         RowBox[{"n", "-", "2"}], "]"}]}]}]}], ",", 
     RowBox[{
      RowBox[{"a", "[", "0", "]"}], "\[Equal]", "1"}], ",", 
     RowBox[{
      RowBox[{"a", "[", "1", "]"}], "\[Equal]", "2"}]}], "}"}], ",", 
   RowBox[{"a", "[", "n", "]"}], ",", "n"}], "]"}]], "Input",
 CellChangeTimes->{{3.5396025834933605`*^9, 3.5396025860295057`*^9}, {
  3.539602619653429*^9, 3.5396026825680275`*^9}}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"{", 
   RowBox[{
    RowBox[{"a", "[", "n", "]"}], "\[Rule]", 
    SuperscriptBox["2", "n"]}], "}"}], "}"}]], "Output",
 CellChangeTimes->{3.5396026842841253`*^9}]
}, Open  ]],

Cell[TextData[StyleBox["Ejemplo 9",
 FontWeight->"Bold"]], "Text",
 CellChangeTimes->{{3.538306803646896*^9, 3.5383068084951735`*^9}, {
  3.5388301739970284`*^9, 3.538830183726585*^9}, {3.538833058614019*^9, 
  3.5388330703046875`*^9}, {3.5388339886732154`*^9, 3.538834005331168*^9}, {
  3.5388400891311417`*^9, 3.5388400948104663`*^9}, {3.53942611787751*^9, 
  3.539426121749732*^9}, {3.5394485210759*^9, 3.539448521759939*^9}, {
  3.539601231900054*^9, 3.539601232373081*^9}, {3.539603806906336*^9, 
  3.539603808008399*^9}},
 Background->RGBColor[1, 0.5, 0]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"FindLinearRecurrence", "[", 
  RowBox[{"{", 
   RowBox[{"3", ",", "4", ",", 
    RowBox[{"-", "16"}], ",", 
    RowBox[{"-", "192"}], ",", 
    RowBox[{"-", "1280"}], ",", 
    RowBox[{"-", "7168"}], ",", 
    RowBox[{"-", "36864"}]}], "}"}], "]"}]], "Input",
 CellChangeTimes->{{3.539602982838202*^9, 3.5396030224654684`*^9}, {
   3.5396045681428766`*^9, 3.5396045783024573`*^9}, 3.539612580644165*^9}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"8", ",", 
   RowBox[{"-", "16"}]}], "}"}]], "Output",
 CellChangeTimes->{3.539603024029558*^9, 3.539604580850603*^9, 
  3.539612583069304*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"RSolve", "[", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
     RowBox[{
      RowBox[{"a", "[", "n", "]"}], "\[Equal]", 
      RowBox[{
       RowBox[{"8", " ", 
        RowBox[{"a", "[", 
         RowBox[{"n", "-", "1"}], "]"}]}], "-", 
       RowBox[{"16", " ", 
        RowBox[{"a", "[", 
         RowBox[{"n", "-", "2"}], "]"}]}]}]}], ",", 
     RowBox[{
      RowBox[{"a", "[", "0", "]"}], "\[Equal]", "3"}], ",", 
     RowBox[{
      RowBox[{"a", "[", "1", "]"}], "\[Equal]", "4"}]}], "}"}], ",", 
   RowBox[{"a", "[", "n", "]"}], ",", "n"}], "]"}]], "Input",
 CellChangeTimes->{{3.5396132543056965`*^9, 3.539613268218492*^9}}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"{", 
   RowBox[{
    RowBox[{"a", "[", "n", "]"}], "\[Rule]", 
    RowBox[{
     RowBox[{"-", 
      SuperscriptBox["2", 
       RowBox[{"2", " ", "n"}]]}], " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "3"}], "+", 
       RowBox[{"2", " ", "n"}]}], ")"}]}]}], "}"}], "}"}]], "Output",
 CellChangeTimes->{3.5396132700705976`*^9}]
}, Open  ]],

Cell[TextData[StyleBox["Ejemplo 10",
 FontWeight->"Bold"]], "Text",
 CellChangeTimes->{{3.538306803646896*^9, 3.5383068084951735`*^9}, {
  3.5388301739970284`*^9, 3.538830183726585*^9}, {3.538833058614019*^9, 
  3.5388330703046875`*^9}, {3.5388339886732154`*^9, 3.538834005331168*^9}, {
  3.5388400891311417`*^9, 3.5388400948104663`*^9}, {3.53942611787751*^9, 
  3.539426121749732*^9}, {3.5394485210759*^9, 3.539448521759939*^9}, {
  3.539601231900054*^9, 3.539601232373081*^9}, {3.5396037920834885`*^9, 
  3.539603811221583*^9}},
 Background->RGBColor[1, 0.5, 0]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Solve", "[", 
  RowBox[{
   RowBox[{
    RowBox[{
     SuperscriptBox["t", "3"], "-", 
     RowBox[{"9", 
      SuperscriptBox["t", "2"]}], "+", 
     RowBox[{"26", "t"}], "-", "24"}], "\[Equal]", "0"}], ",", "t"}], 
  "]"}]], "Input",
 CellChangeTimes->{{3.5396136723706083`*^9, 3.5396137181622276`*^9}}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"t", "\[Rule]", "2"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"t", "\[Rule]", "3"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"t", "\[Rule]", "4"}], "}"}]}], "}"}]], "Output",
 CellChangeTimes->{{3.5396137066825705`*^9, 3.53961372030235*^9}}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Solve", "[", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
     RowBox[{
      RowBox[{
       RowBox[{"2", 
        SubscriptBox["b", "1"]}], "+", 
       RowBox[{"3", 
        SubscriptBox["b", "2"]}], "+", 
       RowBox[{"4", 
        SubscriptBox["b", "3"]}]}], "\[Equal]", "2"}], ",", 
     RowBox[{
      RowBox[{
       RowBox[{"4", 
        SubscriptBox["b", "1"]}], "+", 
       RowBox[{"9", 
        SubscriptBox["b", "2"]}], "+", 
       RowBox[{"16", 
        SubscriptBox["b", "3"]}]}], "\[Equal]", "3"}], ",", 
     RowBox[{
      RowBox[{
       RowBox[{"8", 
        SubscriptBox["b", "1"]}], "+", 
       RowBox[{"27", 
        SubscriptBox["b", "2"]}], "+", 
       RowBox[{"64", 
        SubscriptBox["b", "3"]}]}], "\[Equal]", "4"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     SubscriptBox["b", "1"], ",", 
     SubscriptBox["b", "2"], ",", 
     SubscriptBox["b", "3"]}], "}"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.539614314073312*^9, 3.539614391543743*^9}}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"{", 
   RowBox[{
    RowBox[{
     SubscriptBox["b", "1"], "\[Rule]", 
     FractionBox["7", "4"]}], ",", 
    RowBox[{
     SubscriptBox["b", "2"], "\[Rule]", 
     RowBox[{"-", 
      FractionBox["2", "3"]}]}], ",", 
    RowBox[{
     SubscriptBox["b", "3"], "\[Rule]", 
     FractionBox["1", "8"]}]}], "}"}], "}"}]], "Output",
 CellChangeTimes->{3.539614395010941*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"RSolve", "[", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
     RowBox[{
      RowBox[{"a", "[", "n", "]"}], "\[Equal]", 
      RowBox[{
       RowBox[{"9", " ", 
        RowBox[{"a", "[", 
         RowBox[{"n", "-", "1"}], "]"}]}], "-", 
       RowBox[{"26", " ", 
        RowBox[{"a", "[", 
         RowBox[{"n", "-", "2"}], "]"}]}], "+", 
       RowBox[{"24", 
        RowBox[{"a", "[", 
         RowBox[{"n", "-", "3"}], "]"}]}]}]}], ",", 
     RowBox[{
      RowBox[{"a", "[", "1", "]"}], "\[Equal]", "2"}], ",", 
     RowBox[{
      RowBox[{"a", "[", "2", "]"}], "\[Equal]", "3"}], ",", " ", 
     RowBox[{
      RowBox[{"a", "[", "3", "]"}], "\[Equal]", "4"}]}], "}"}], ",", 
   RowBox[{"a", "[", "n", "]"}], ",", "n"}], "]"}]], "Input",
 CellChangeTimes->{{3.539614691150879*^9, 3.539614745491987*^9}}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"{", 
   RowBox[{
    RowBox[{"a", "[", "n", "]"}], "\[Rule]", 
    RowBox[{
     FractionBox["1", "24"], " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"3", " ", 
        SuperscriptBox["2", 
         RowBox[{"2", " ", "n"}]]}], "+", 
       RowBox[{"21", " ", 
        SuperscriptBox["2", 
         RowBox[{"1", "+", "n"}]]}], "-", 
       RowBox[{"16", " ", 
        SuperscriptBox["3", "n"]}]}], ")"}]}]}], "}"}], "}"}]], "Output",
 CellChangeTimes->{3.5396147476891127`*^9, 3.539615610249449*^9}]
}, Open  ]],

Cell[TextData[StyleBox["Ejemplo 11",
 FontWeight->"Bold"]], "Text",
 CellChangeTimes->{{3.538306803646896*^9, 3.5383068084951735`*^9}, {
   3.5388301739970284`*^9, 3.538830183726585*^9}, {3.538912784108435*^9, 
   3.5389128001033497`*^9}, {3.539426064389451*^9, 3.539426064780473*^9}, 
   3.5396205142529416`*^9},
 Background->RGBColor[1, 0.5, 0]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Solve", "[", 
  RowBox[{
   RowBox[{
    RowBox[{
     SuperscriptBox["t", "2"], "-", 
     RowBox[{"2", "t"}], "-", "3"}], "\[Equal]", "0"}], ",", "t"}], 
  "]"}]], "Input",
 CellChangeTimes->{{3.5396207894976845`*^9, 3.539620801704383*^9}}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"t", "\[Rule]", 
     RowBox[{"-", "1"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"t", "\[Rule]", "3"}], "}"}]}], "}"}]], "Output",
 CellChangeTimes->{3.539620802516429*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Simplify", "[", 
  RowBox[{"Solve", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{
      RowBox[{
       RowBox[{
        RowBox[{"-", 
         SubscriptBox["b", "1"]}], "+", 
        RowBox[{"3", 
         SubscriptBox["b", "2"]}]}], "\[Equal]", 
       SqrtBox["2"]}], ",", 
      RowBox[{
       RowBox[{
        SubscriptBox["b", "1"], "+", 
        RowBox[{"9", 
         SubscriptBox["b", "2"]}]}], "\[Equal]", 
       SqrtBox["3"]}]}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{
      SubscriptBox["b", "1"], ",", 
      SubscriptBox["b", "2"]}], "}"}]}], "]"}], "]"}]], "Input",
 CellChangeTimes->{{3.5396211099080114`*^9, 3.5396211814541035`*^9}}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"{", 
   RowBox[{
    RowBox[{
     SubscriptBox["b", "1"], "\[Rule]", 
     RowBox[{
      FractionBox["1", "4"], " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{
         RowBox[{"-", "3"}], " ", 
         SqrtBox["2"]}], "+", 
        SqrtBox["3"]}], ")"}]}]}], ",", 
    RowBox[{
     SubscriptBox["b", "2"], "\[Rule]", 
     RowBox[{
      FractionBox["1", "12"], " ", 
      RowBox[{"(", 
       RowBox[{
        SqrtBox["2"], "+", 
        SqrtBox["3"]}], ")"}]}]}]}], "}"}], "}"}]], "Output",
 CellChangeTimes->{{3.53962116268503*^9, 3.5396211824281588`*^9}, 
   3.539621254091258*^9}]
}, Open  ]]
},
WindowToolbars->"EditBar",
WindowSize->{1584, 765},
WindowMargins->{{0, Automatic}, {Automatic, 0}},
Magnification:>FEPrivate`If[
  FEPrivate`Equal[FEPrivate`$VersionNumber, 6.], 3., 3. Inherited],
FrontEndVersion->"8.0 for Microsoft Windows (64-bit) (October 6, 2011)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[557, 20, 316, 5, 131, "Text"],
Cell[CellGroupData[{
Cell[898, 29, 635, 16, 86, "Input"],
Cell[1536, 47, 456, 13, 93, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[2029, 65, 1183, 33, 347, "Input"],
Cell[3215, 100, 239, 7, 84, "Output"]
}, Open  ]],
Cell[3469, 110, 422, 7, 131, "Text"],
Cell[CellGroupData[{
Cell[3916, 121, 523, 15, 94, "Input"],
Cell[4442, 138, 344, 11, 114, "Output"]
}, Open  ]],
Cell[4801, 152, 369, 6, 131, "Text"],
Cell[CellGroupData[{
Cell[5195, 162, 495, 11, 194, "Input"],
Cell[5693, 175, 430, 13, 150, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[6160, 193, 567, 16, 156, "Input"],
Cell[6730, 211, 398, 11, 112, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[7165, 227, 487, 14, 86, "Input"],
Cell[7655, 243, 419, 13, 114, "Output"]
}, Open  ]],
Cell[8089, 259, 316, 5, 131, "Text"],
Cell[CellGroupData[{
Cell[8430, 268, 397, 12, 86, "Input"],
Cell[8830, 282, 304, 9, 93, "Output"]
}, Open  ]],
Cell[9149, 294, 371, 6, 131, "Text"],
Cell[CellGroupData[{
Cell[9545, 304, 484, 14, 86, "Input"],
Cell[10032, 320, 289, 9, 114, "Output"]
}, Open  ]],
Cell[10336, 332, 418, 7, 131, "Text"],
Cell[CellGroupData[{
Cell[10779, 343, 1457, 33, 243, "Input"],
Cell[CellGroupData[{
Cell[12261, 380, 2030, 48, 561, "Print"],
Cell[14294, 430, 2069, 49, 741, "Print"],
Cell[16366, 481, 2069, 49, 741, "Print"],
Cell[18438, 532, 2072, 49, 741, "Print"],
Cell[20513, 583, 2070, 49, 741, "Print"],
Cell[22586, 634, 2076, 49, 1737, "Print"],
Cell[24665, 685, 2070, 49, 741, "Print"],
Cell[26738, 736, 2082, 49, 741, "Print"],
Cell[28823, 787, 2072, 49, 741, "Print"],
Cell[30898, 838, 2084, 49, 741, "Print"]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[33031, 893, 355, 8, 417, "Input"],
Cell[33389, 903, 392, 12, 336, "Output"]
}, Open  ]],
Cell[33796, 918, 103, 1, 249, "Text"],
Cell[CellGroupData[{
Cell[33924, 923, 5790, 154, 5499, "Input"],
Cell[CellGroupData[{
Cell[39739, 1081, 852, 25, 558, "Print"],
Cell[40594, 1108, 887, 27, 558, "Print"],
Cell[41484, 1137, 887, 27, 558, "Print"],
Cell[42374, 1166, 885, 27, 558, "Print"],
Cell[43262, 1195, 887, 27, 558, "Print"],
Cell[44152, 1224, 890, 27, 558, "Print"],
Cell[45045, 1253, 887, 27, 558, "Print"],
Cell[45935, 1282, 890, 27, 558, "Print"],
Cell[46828, 1311, 887, 27, 558, "Print"],
Cell[47718, 1340, 890, 27, 558, "Print"]
}, Open  ]]
}, Open  ]],
Cell[48635, 1371, 463, 7, 393, "Text"],
Cell[CellGroupData[{
Cell[49123, 1382, 246, 7, 282, "Input"],
Cell[49372, 1391, 473, 17, 342, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[49882, 1413, 727, 25, 672, "Input"],
Cell[50612, 1440, 511, 18, 405, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[51160, 1463, 370, 9, 258, "Input"],
Cell[51533, 1474, 390, 8, 402, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[51960, 1487, 333, 7, 573, "Input"],
Cell[52296, 1496, 115, 3, 252, "Output"]
}, Open  ]],
Cell[52426, 1502, 512, 8, 393, "Text"],
Cell[CellGroupData[{
Cell[52963, 1514, 419, 11, 378, "Input"],
Cell[53385, 1527, 305, 6, 402, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[53727, 1538, 361, 10, 378, "Input"],
Cell[54091, 1550, 249, 8, 342, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[54377, 1563, 600, 20, 378, "Input"],
Cell[54980, 1585, 253, 8, 252, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[55270, 1598, 735, 21, 417, "Input"],
Cell[56008, 1621, 203, 6, 252, "Output"]
}, Open  ]],
Cell[56226, 1630, 561, 9, 393, "Text"],
Cell[CellGroupData[{
Cell[56812, 1643, 427, 10, 417, "Input"],
Cell[57242, 1655, 182, 5, 252, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[57461, 1665, 655, 19, 417, "Input"],
Cell[58119, 1686, 383, 13, 279, "Output"]
}, Open  ]],
Cell[58517, 1702, 564, 9, 393, "Text"],
Cell[CellGroupData[{
Cell[59106, 1715, 329, 10, 282, "Input"],
Cell[59438, 1727, 315, 9, 252, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[59790, 1741, 1012, 34, 417, "Input"],
Cell[60805, 1777, 411, 14, 342, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[61253, 1796, 831, 24, 573, "Input"],
Cell[62087, 1822, 548, 17, 342, "Output"]
}, Open  ]],
Cell[62650, 1842, 347, 6, 393, "Text"],
Cell[CellGroupData[{
Cell[63022, 1852, 266, 8, 396, "Input"],
Cell[63291, 1862, 246, 8, 366, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[63574, 1875, 686, 23, 594, "Input"],
Cell[64263, 1900, 642, 23, 456, "Output"]
}, Open  ]]
}
]
*)

(* End of internal cache information *)
